<?xml version="1.0" encoding="UTF-8"?>
<root>
    <fabric
        name="shm:dapl"
        device="rdssm"
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title="Remote direct access and shared memory"
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+shm[\s]+and[\s]+dapl[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="shm:tcp"
        device="ssm"
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+shm[\s]+and[\s]+tcp[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="shm"
        device="shm"
        hostRange="1:1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+shm[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="dapl"
        device="rdma"
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+dapl[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="shm:ofa"
        device=""
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+shm[\s]+and[\s]+ofa[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="shm:tmi"
        device=""
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+shm[\s]+and[\s]+tmi[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="ofa"
        device=""
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+ofa[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="tmi"
        device=""
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+tmi[\s]+data[\s]+transfer[\s]+mode)+"
    />
    <fabric
        name="tcp"
        device="sock"
        hostRange="-1:-1"
        perhostRange="-1:-1"
        title=""
        chkre=".*(MPI[\s]+startup\(\)\:[\s]+tcp[\s]+data[\s]+transfer[\s]+mode)+"
    />
</root>